Bug 6158 - There is no way to select text without using the keyboard
: There is no way to select text without using the keyboard
Status: RESOLVED FIXED
Product: Conboy
General
: unspecified
: All Linux
: Low enhancement with 4 votes (vote)
: ---
Assigned To: Cornelius Hald
: general
:
:
: int-139107
:
  Show dependency tree
 
Reported: 2009-11-13 14:42 UTC by pancake
Modified: 2010-05-28 20:58 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description pancake (reporter) 2009-11-13 14:42:17 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)

1.2009.41-10

STEPS TO REPRODUCE THE PROBLEM:

open conboy, type some text, use the finger or stylus to select

EXPECTED OUTCOME:

get the text selected

ACTUAL OUTCOME:

nothing happens

REPRODUCIBILITY:
(always/sometimes/once)

always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.11)
Gecko/2009060310 Ubuntu/8.10 (intrepid) Firefox/3.0.11
Comment 1 Cornelius Hald 2009-11-13 14:46:33 UTC
Thanks for reporting this. Unfortunately this is a platform bug and we have to
wait until it is fixed. I´ve added a dependency. Feel free to vote here:
https://bugs.maemo.org/show_bug.cgi?id=4619
Comment 2 Ross Rydman 2009-12-06 05:46:02 UTC
A possible option would be to include the use of the Cursor option similar to
the web browser and the Conversations app. 

Slide your stylus/finger from the area just off screen on the left onto the
screen to reveal a pointer button. Selecting the pointer button allows you to
use a cursor to select text.

I am unsure what controls you are using and if this is an available option but
I will propose it non-the-less.
Comment 3 Cornelius Hald 2009-12-11 12:09:51 UTC
(In reply to comment #2)
> A possible option would be to include the use of the Cursor option similar to
> the web browser and the Conversations app. 
> 
> Slide your stylus/finger from the area just off screen on the left onto the
> screen to reveal a pointer button. Selecting the pointer button allows you to
> use a cursor to select text.
> 
> I am unsure what controls you are using and if this is an available option but
> I will propose it non-the-less.

I really would like to have this, but this functionality is not available to
3rd party developers. I already reimplemented the transparent fullscreen button
and hopefully someone will reimplement the cursor-thing.
Comment 4 Cornelius Hald 2010-03-28 11:33:48 UTC
The platform bug #4619 will be fixed in PR1.2. That should help a bit with the
text selection issue. Although, if I understand it correctly, it will require
you to hold down the "shift" key, while touch-selecting the text. Well, let's
see...
Comment 5 Cornelius Hald 2010-05-28 20:58:14 UTC
Bug #4619 is now fixed (in PR 1.2). It is now possible to hold down the
shift-key and touch select text. I don't think it's the ideal solution, but
probably all we're ever get.

I'm closing this one as I don't see a chance to further improve the situation.